/*	
 *	      File : prompts.c
 *	       Pjt : any
 *
 *     description :  Various user interface prompts.
 *
 *		ver: 1.1
 *	        log:
 *		      1.1   _df 1-10-2002  changed for alpha-numeric LCD module
 *		      1.0.1 _df 12-12-2001 code clean up
 *		      1.0   _df 19-11-2001 init coding
 */
//includes
#include "delay.c"	//Hi Tech's module


//various user interface prompts
#define P_WIDTH	6	//max char in a prompt
const uchar *Display[4]= {	     
		           "SA9903",	//SA9903
		           " NNTR ",	//mtr
		           "VER1.0",	//vEr 1.0
		           "  RUN ",	//run
		         };
const enum{CHIP,MTR,VER,RUN}; //LuT for prompts


//prototypes
void any_key(void);
void prompt_delay(void);

void any_key(void)				//wait for key press
{
  key=0;  while(!key) ;
}

void prompt_delay()				//wait a sec
{
 uchar i;

 for(i=0;i<4;i++) DelayMs(250); 
}

/* ............................. EoF prompts.c ............................. */
